# This file is a template, and might need editing before it works on your project.
# Full project: https://gitlab.com/pages/plain-html

image: ruby:3.2

pages:
  stage: deploy
  script:
    - gem install bundler
    - bundle install
    - bundle exec jekyll build -d public
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
